=== modified file 'plugin/information_schema_dictionary/column_domain_usage.cc'
--- plugin/information_schema_dictionary/column_domain_usage.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/column_domain_usage.cc	2011-06-17 14:08:49 +0000
@@ -27,13 +27,13 @@
 ColumnDomainUsage::ColumnDomainUsage() :
   InformationSchema("COLUMN_DOMAIN_USAGE")
 {
-  add_field("DOMAIN_CATALOG");
-  add_field("DOMAIN_SCHEMA");
-  add_field("DOMAIN_NAME");
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("COLUMN_NAME");
+  add_field("DOMAIN_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("DOMAIN_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("DOMAIN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 void ColumnDomainUsage::Generator::fill()

=== modified file 'plugin/information_schema_dictionary/column_privileges.cc'
--- plugin/information_schema_dictionary/column_privileges.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/column_privileges.cc	2011-06-17 14:08:27 +0000
@@ -29,10 +29,10 @@
 {
   add_field("GRANTOR");
   add_field("GRANTEE");
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("COLUMN_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("PRIVILEGE_TYPE");
   add_field("IS_GRANTABLE");
 }

=== modified file 'plugin/information_schema_dictionary/constraint_column_usage.cc'
--- plugin/information_schema_dictionary/constraint_column_usage.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/constraint_column_usage.cc	2011-06-17 14:07:44 +0000
@@ -27,13 +27,13 @@
 ConstraintColumnUsage::ConstraintColumnUsage() :
   InformationSchema("CONSTRAINT_COLUMN_USAGE")
 {
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("COLUMN_NAME");
-  add_field("CONSTRAINT_CATALOG");
-  add_field("CONSTRAINT_SCHEMA");
-  add_field("CONSTRAINT_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 void ConstraintColumnUsage::Generator::fill()

=== modified file 'plugin/information_schema_dictionary/constraint_table_usage.cc'
--- plugin/information_schema_dictionary/constraint_table_usage.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/constraint_table_usage.cc	2011-06-17 14:07:08 +0000
@@ -27,12 +27,12 @@
 ConstraintTableUsage::ConstraintTableUsage() :
   InformationSchema("CONSTRAINT_TABLE_USAGE")
 {
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("CONSTRAINT_CATALOG");
-  add_field("CONSTRAINT_SCHEMA");
-  add_field("CONSTRAINT_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 void ConstraintTableUsage::Generator::fill()

=== modified file 'plugin/information_schema_dictionary/routine_columns.cc'
--- plugin/information_schema_dictionary/routine_columns.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/routine_columns.cc	2011-06-17 14:05:51 +0000
@@ -27,11 +27,11 @@
 RoutineColumns::RoutineColumns() :
   InformationSchema("ROUTINE_COLUMNS")
 {
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
-  add_field("COLUMN_NAME");
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("ORDINAL_POSITION");
   add_field("COLUMN_DEFAULT");
 
@@ -47,12 +47,12 @@
   add_field("CHARACTER_SET_CATALOG");
   add_field("CHARACTER_SET_SCHEMA");
   add_field("CHARACTER_SET_NAME");
-  add_field("COLLATION_CATALOG");
-  add_field("COLLATION_SCHEMA");
-  add_field("COLLATION_NAME");
-  add_field("DOMAIN_CATALOG");
-  add_field("DOMAIN_SCHEMA");
-  add_field("DOMAIN_NAME");
+  add_field("COLLATION_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLLATION_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLLATION_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("DOMAIN_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("DOMAIN_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("DOMAIN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 void RoutineColumns::Generator::fill()

=== modified file 'plugin/information_schema_dictionary/routines.cc'
--- plugin/information_schema_dictionary/routines.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/routines.cc	2011-06-17 14:05:42 +0000
@@ -27,37 +27,37 @@
 Routines::Routines() :
   InformationSchema("ROUTINES")
 {
-  add_field("SPECIFIC_CATALOG");
-  add_field("SPECIFIC_SCHEMA");
-  add_field("SPECIFIC_NAME");
-
-  add_field("ROUTINE_CATALOG");
-  add_field("ROUTINE_SCHEMA");
-  add_field("ROUTINE_NAME");
-
-  add_field("MODULE_CATALOG");
-  add_field("MODULE_SCHEMA");
-  add_field("MODULE_NAME");
-
-  add_field("UDT_CATALOG");
-  add_field("UDT_SCHEMA");
-  add_field("UDT_NAME");
+  add_field("SPECIFIC_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("SPECIFIC_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("SPECIFIC_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+
+  add_field("ROUTINE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("ROUTINE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("ROUTINE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+
+  add_field("MODULE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("MODULE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("MODULE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+
+  add_field("UDT_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("UDT_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("UDT_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
   add_field("DATA_TYPE");
   add_field("CHARACTER_MAXIMUM_LENGTH");
   add_field("CHARACTER_OCTET_LENGTH");
 
-  add_field("COLLATION_CATALOG");
-  add_field("COLLATION_SCHEMA");
-  add_field("COLLATION_NAME");
-
-  add_field("CHARACTER_SET_CATALOG");
-  add_field("CHARACTER_SET_SCHEMA");
-  add_field("CHARACTER_SET_NAME");
-
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("COLLATION_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLLATION_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLLATION_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+
+  add_field("CHARACTER_SET_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CHARACTER_SET_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CHARACTER_SET_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
   add_field("NUMERIC_PRECISION");
   add_field("NUMERIC_PRECISION_RADIX");

=== modified file 'plugin/information_schema_dictionary/table_constraints.cc'
--- plugin/information_schema_dictionary/table_constraints.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/table_constraints.cc	2011-06-17 14:00:13 +0000
@@ -27,12 +27,12 @@
 TableConstraints::TableConstraints() :
   InformationSchema("TABLE_CONSTRAINTS")
 {
-  add_field("CONSTRAINT_CATALOG");
-  add_field("CONSTRAINT_SCHEMA");
-  add_field("CONSTRAINT_NAME");
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("CONSTRAINT_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("CONSTRAINT_TYPE");
   add_field("IS_DEFERRABLE", plugin::TableFunction::BOOLEAN, 0, false);
   add_field("INITIALLY_DEFERRED", plugin::TableFunction::BOOLEAN, 0, false);

=== modified file 'plugin/information_schema_dictionary/table_privileges.cc'
--- plugin/information_schema_dictionary/table_privileges.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/table_privileges.cc	2011-06-17 13:59:49 +0000
@@ -29,10 +29,10 @@
 {
   add_field("GRANTOR");
   add_field("GRANTEE");
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("COLUMN_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("PRIVILEGE_TYPE");
   add_field("IS_GRANTABLE");
 }

=== modified file 'plugin/information_schema_dictionary/view_column_usage.cc'
--- plugin/information_schema_dictionary/view_column_usage.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/view_column_usage.cc	2011-06-17 13:58:14 +0000
@@ -27,13 +27,13 @@
 ViewColumnUsage::ViewColumnUsage() :
   InformationSchema("VIEW_COLUMN_USAGE")
 {
-  add_field("VIEW_CATALOG");
-  add_field("VIEW_SCHEMA");
-  add_field("VIEW_NAME");
+  add_field("VIEW_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("VIEW_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("VIEW_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
   add_field("COLUMN_NAME");
 }

=== modified file 'plugin/information_schema_dictionary/view_table_usage.cc'
--- plugin/information_schema_dictionary/view_table_usage.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/view_table_usage.cc	2011-06-17 13:57:33 +0000
@@ -27,9 +27,9 @@
 ViewTableUsage::ViewTableUsage() :
   InformationSchema("VIEW_TABLE_USAGE")
 {
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
   add_field("VIEW_DEFINITION");
   add_field("CHECK_OPTION");

=== modified file 'plugin/information_schema_dictionary/views.cc'
--- plugin/information_schema_dictionary/views.cc	2011-02-17 00:14:13 +0000
+++ plugin/information_schema_dictionary/views.cc	2011-06-17 13:57:06 +0000
@@ -27,13 +27,13 @@
 Views::Views() :
   InformationSchema("VIEWS")
 {
-  add_field("VIEW_CATALOG");
-  add_field("VIEW_SCHEMA");
-  add_field("VIEW_NAME");
+  add_field("VIEW_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("VIEW_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("VIEW_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
-  add_field("TABLE_CATALOG");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_CATALOG", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 void Views::Generator::fill()

=== modified file 'plugin/innobase/handler/internal_dictionary.cc'
--- plugin/innobase/handler/internal_dictionary.cc	2011-02-17 00:14:13 +0000
+++ plugin/innobase/handler/internal_dictionary.cc	2011-06-17 13:55:08 +0000
@@ -62,7 +62,7 @@
 InnodbInternalTables::InnodbInternalTables() :
   plugin::TableFunction("DATA_DICTIONARY", "INNODB_INTERNAL_TABLES")
 {
-  add_field("TABLE_NAME");
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 static void my_dict_print_callback(void *ptr, const char *table_name)

=== modified file 'plugin/schema_dictionary/columns.cc'
--- plugin/schema_dictionary/columns.cc	2011-02-17 00:14:13 +0000
+++ plugin/schema_dictionary/columns.cc	2011-06-17 13:53:14 +0000
@@ -28,10 +28,10 @@
 ColumnsTool::ColumnsTool() :
   DataDictionary("COLUMNS")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 
-  add_field("COLUMN_NAME");
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("COLUMN_TYPE");
   add_field("ORDINAL_POSITION", plugin::TableFunction::NUMBER, 0, false);
   add_field("COLUMN_DEFAULT", plugin::TableFunction::VARBINARY, 65535, true);

=== modified file 'plugin/schema_dictionary/foreign_keys.cc'
--- plugin/schema_dictionary/foreign_keys.cc	2011-02-17 00:14:13 +0000
+++ plugin/schema_dictionary/foreign_keys.cc	2011-06-17 13:50:51 +0000
@@ -28,8 +28,8 @@
 ForeignKeysTool::ForeignKeysTool() :
   plugin::TableFunction("DATA_DICTIONARY", "FOREIGN_KEYS")
 {
-  add_field("CONSTRAINT_SCHEMA");
-  add_field("CONSTRAINT_TABLE");
+  add_field("CONSTRAINT_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("CONSTRAINT_TABLE", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("CONSTRAINT_NAME");
   add_field("CONSTRAINT_COLUMNS");
 

=== modified file 'plugin/schema_dictionary/index_parts.cc'
--- plugin/schema_dictionary/index_parts.cc	2011-02-17 00:14:13 +0000
+++ plugin/schema_dictionary/index_parts.cc	2011-06-17 13:48:32 +0000
@@ -28,10 +28,10 @@
 IndexPartsTool::IndexPartsTool() :
   IndexesTool("INDEX_PARTS")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("INDEX_NAME");
-  add_field("COLUMN_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("INDEX_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("COLUMN_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("COLUMN_NUMBER", plugin::TableFunction::NUMBER, 0, false);
   add_field("SEQUENCE_IN_INDEX", plugin::TableFunction::NUMBER, 0, false);
   add_field("COMPARE_LENGTH", plugin::TableFunction::NUMBER, 0, true);

=== modified file 'plugin/schema_dictionary/indexes.cc'
--- plugin/schema_dictionary/indexes.cc	2011-02-17 00:14:13 +0000
+++ plugin/schema_dictionary/indexes.cc	2011-06-17 13:48:06 +0000
@@ -27,9 +27,9 @@
 IndexesTool::IndexesTool() :
   TablesTool("INDEXES")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
-  add_field("INDEX_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("INDEX_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("IS_USED_IN_PRIMARY", plugin::TableFunction::BOOLEAN, 0, false);
   add_field("IS_UNIQUE", plugin::TableFunction::BOOLEAN, 0, false);
   add_field("IS_NULLABLE", plugin::TableFunction::BOOLEAN, 0, false);

=== modified file 'plugin/schema_dictionary/table_constraints.cc'
--- plugin/schema_dictionary/table_constraints.cc	2011-02-17 00:14:13 +0000
+++ plugin/schema_dictionary/table_constraints.cc	2011-06-17 13:45:50 +0000
@@ -29,7 +29,7 @@
 {
   add_field("CONSTRAINT_SCHEMA");
   add_field("CONSTRAINT_NAME");
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("CONSTRAINT_TYPE");
 }

=== modified file 'plugin/schema_dictionary/tables.cc'
--- plugin/schema_dictionary/tables.cc	2011-04-03 06:02:00 +0000
+++ plugin/schema_dictionary/tables.cc	2011-06-17 13:36:36 +0000
@@ -21,6 +21,7 @@
 #include <config.h>
 #include <plugin/schema_dictionary/dictionary.h>
 #include <drizzled/identifier.h>
+#include <drizzled/table_proto.h>
 
 using namespace std;
 using namespace drizzled;
@@ -45,8 +46,8 @@
 TablesTool::TablesTool() :
   plugin::TableFunction("DATA_DICTIONARY", "TABLES")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("TABLE_TYPE");
   add_field("TABLE_ARCHETYPE");
   add_field("ENGINE");
@@ -54,7 +55,8 @@
   add_field("TABLE_COLLATION");
   add_field("TABLE_CREATION_TIME");
   add_field("TABLE_UPDATE_TIME");
-  add_field("TABLE_COMMENT", plugin::TableFunction::STRING, 2048, true);
+  add_field("TABLE_COMMENT", plugin::TableFunction::STRING,
+            TABLE_COMMENT_MAXLEN, true);
   add_field("AUTO_INCREMENT", plugin::TableFunction::NUMBER, 0, false);
   add_field("TABLE_UUID", plugin::TableFunction::STRING, 36, true);
   add_field("TABLE_VERSION", plugin::TableFunction::NUMBER, 0, true);

=== modified file 'plugin/show_dictionary/show_tables.cc'
--- plugin/show_dictionary/show_tables.cc	2011-03-10 11:57:20 +0000
+++ plugin/show_dictionary/show_tables.cc	2011-06-17 13:43:52 +0000
@@ -29,7 +29,7 @@
 ShowTables::ShowTables() :
   show_dictionary::Show("SHOW_TABLES")
 {
-  add_field("TABLE_NAME");
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
 }
 
 ShowTables::Generator::Generator(drizzled::Field **arg) :

=== modified file 'plugin/show_dictionary/show_temporary_tables.cc'
--- plugin/show_dictionary/show_temporary_tables.cc	2011-04-09 16:11:46 +0000
+++ plugin/show_dictionary/show_temporary_tables.cc	2011-06-17 13:43:39 +0000
@@ -29,8 +29,8 @@
 ShowTemporaryTables::ShowTemporaryTables() :
   show_dictionary::Show("SHOW_TEMPORARY_TABLES")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("RECORDS", plugin::TableFunction::NUMBER, 0, false);
   add_field("RECORD_LENGTH", plugin::TableFunction::NUMBER, 0, false);
   add_field("ENGINE");

=== modified file 'plugin/table_cache_dictionary/table_cache.cc'
--- plugin/table_cache_dictionary/table_cache.cc	2011-04-13 10:38:28 +0000
+++ plugin/table_cache_dictionary/table_cache.cc	2011-06-17 13:41:27 +0000
@@ -32,8 +32,8 @@
   plugin::TableFunction("DATA_DICTIONARY", "TABLE_CACHE")
 {
   add_field("SESSION_ID", plugin::TableFunction::NUMBER, 0, false);
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("VERSION", plugin::TableFunction::NUMBER, 0, false);
   add_field("IS_NAME_LOCKED", plugin::TableFunction::BOOLEAN, 0, false);
   add_field("ROWS", plugin::TableFunction::NUMBER, 0, false);

=== modified file 'plugin/table_cache_dictionary/table_definition_cache.cc'
--- plugin/table_cache_dictionary/table_definition_cache.cc	2011-02-17 00:14:13 +0000
+++ plugin/table_cache_dictionary/table_definition_cache.cc	2011-06-17 13:41:05 +0000
@@ -28,8 +28,8 @@
 table_cache_dictionary::TableDefinitionCache::TableDefinitionCache() :
   plugin::TableFunction("DATA_DICTIONARY", "TABLE_DEFINITION_CACHE")
 {
-  add_field("TABLE_SCHEMA");
-  add_field("TABLE_NAME");
+  add_field("TABLE_SCHEMA", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
+  add_field("TABLE_NAME", plugin::TableFunction::STRING, MAXIMUM_IDENTIFIER_LENGTH, false);
   add_field("VERSION", plugin::TableFunction::NUMBER, 0, false);
   add_field("TABLE_COUNT", plugin::TableFunction::NUMBER, 0, false);
   add_field("IS_NAME_LOCKED", plugin::TableFunction::BOOLEAN, 0, false);

